Page MenuHomePhabricator

SurfaceWidget should be called TargetWidget
Closed, ResolvedPublic1 Story Points

Description

It contains a surface, but also a toolbar, debug bar and target config rules.

Event Timeline

Esanders created this task.Mar 26 2015, 7:09 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 7:09 PM

Should it also be called a VisualTargetWidget with an abstract TargetWidget so we can trivially have WikitextTargetWidget and so on when we start on that in a few weeks'/months' time?

Jdforrester-WMF triaged this task as Normal priority.Mar 27 2015, 2:45 AM
Jdforrester-WMF moved this task from To Triage to Planned Maintenance on the VisualEditor board.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.Apr 1 2015, 7:03 PM

This was discussed at the weekly meeting on 2015-06-30. We decided that it wasn't a priority for this quarter.

If Target is base-classed then yes, but for now this will be sufficient.

Change 225648 had a related patch set uploaded (by Esanders):
[BREAKING CHANGE] Rename SurfaceWidget to TargetWidget

https://gerrit.wikimedia.org/r/225648

Change 225650 had a related patch set uploaded (by Esanders):
[PULL THROUGH] Rename MWSurfaceWidget to MWTargetWidget

https://gerrit.wikimedia.org/r/225650

Change 225648 merged by jenkins-bot:
[BREAKING CHANGE] Rename SurfaceWidget to TargetWidget

https://gerrit.wikimedia.org/r/225648

Jdforrester-WMF closed this task as Resolved.Jul 18 2015, 10:28 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF removed a subscriber: gerritbot.

Change 225650 merged by jenkins-bot:
Update VE core submodule to master (edaa19b)

https://gerrit.wikimedia.org/r/225650